Update VPC Network
curl --request POST \
--url https://api.novita.ai/gpu-instance/openapi/v1/network/update \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>' \
--data '
{
"networkId": "<string>",
"name": "<string>"
}
'import requests
url = "https://api.novita.ai/gpu-instance/openapi/v1/network/update"
payload = {
"networkId": "<string>",
"name": "<string>"
}
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'},
body: JSON.stringify({networkId: '<string>', name: '<string>'})
};
fetch('https://api.novita.ai/gpu-instance/openapi/v1/network/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Network
Update VPC Network
POST
/
gpu-instance
/
openapi
/
v1
/
network
/
update
Update VPC Network
Request Headers
Enum:
application/jsonBearer authentication format, for example: Bearer {{API Key}}.
Request Body
Cluster ID. String, length limit: 1-255 characters.
Custom network name. String, length limit: 1-30 characters.
Last modified on May 27, 2025
Was this page helpful?
⌘I